List
curl --request GET \
--url https://logistics.api.smartcp.org/v1/fleet/cards \
--header 'Authorization: Bearer <token>' \
--header 'X-Client-Directory: <api-key>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Client-Directory': '<api-key>'}
};
fetch('https://logistics.api.smartcp.org/v1/fleet/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://logistics.api.smartcp.org/v1/fleet/cards"
headers = {
"Authorization": "Bearer <token>",
"X-Client-Directory": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://logistics.api.smartcp.org/v1/fleet/cards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Client-Directory: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": 200,
"message": "OK",
"data": [
{
"type": "bank",
"card_number": "5577889900114821",
"account_number": "PL00123456789012345678901234",
"expiration_date": "2028-09-30",
"provider": "ING",
"vehicle": {
"nr": "DW 1234A",
"name": "Mercedes Actros 01"
}
}
]
}{
"status": 401,
"message": "Authentication failed",
"data": null
}{
"status": 422,
"message": "The selected card type is invalid.",
"data": null
}{
"status": 429,
"message": "Too Many Attempts.",
"data": null
}{
"status": 500,
"message": "Internal Server Error",
"data": null
}Cards
List
Returns all current bank, fuel, toll, and combined fuel-toll cards. The optional type filter accepts one or more comma-separated card types.
GET
/
fleet
/
cards
List
curl --request GET \
--url https://logistics.api.smartcp.org/v1/fleet/cards \
--header 'Authorization: Bearer <token>' \
--header 'X-Client-Directory: <api-key>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Client-Directory': '<api-key>'}
};
fetch('https://logistics.api.smartcp.org/v1/fleet/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://logistics.api.smartcp.org/v1/fleet/cards"
headers = {
"Authorization": "Bearer <token>",
"X-Client-Directory": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://logistics.api.smartcp.org/v1/fleet/cards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Client-Directory: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": 200,
"message": "OK",
"data": [
{
"type": "bank",
"card_number": "5577889900114821",
"account_number": "PL00123456789012345678901234",
"expiration_date": "2028-09-30",
"provider": "ING",
"vehicle": {
"nr": "DW 1234A",
"name": "Mercedes Actros 01"
}
}
]
}{
"status": 401,
"message": "Authentication failed",
"data": null
}{
"status": 422,
"message": "The selected card type is invalid.",
"data": null
}{
"status": 429,
"message": "Too Many Attempts.",
"data": null
}{
"status": 500,
"message": "Internal Server Error",
"data": null
}Authorizations
Client API key sent as a bearer token.
Client directory identifier.
Query Parameters
One or more comma-separated card types.